API Docs
YMS API
Receipt
POST Update Receipt

POST Update receipt

Introduction

Update an existing receipt by its receipt ID. This API allows you to modify receipt details such as carrier, customer, equipment information, item lines, appointment data, and dynamic field values. Only the fields provided in the request body will be updated.

POST /public/receipt/{receiptId}/update

Body Request Parameters

{
  "receiptStatus": "string",
  "receiptType": "REGULAR_RECEIPT",
  "poNo": "string",
  "carrierId": "string",
  "externalCarrierId": "string",
  "customerId": "string",
  "referenceNo": "string",
  "equipmentType": "VEHICLE",
  "equipmentNo": "string",
  "totalPalletQty": 0,
  "itemLines": [
    {
      "itemId": "string",
      "itemName": "string",
      "itemQty": "string",
      "palletQty": "string",
      "itemSpecDesc": "string",
      "itemSpecName": "string",
      "uomId": "string",
      "qty": "string"
    }
  ],
  "appointmentTime": "string",
  "appointmentId": "string",
  "sealNo": "string",
  "dataChannel": "YMS",
  "eventTime": "string",
  "extraData": "string",
  "carrierName": "string",
  "customerName": "string",
  "dynamicFieldValues": [
    {
      "fieldCode": "string",
      "value": "string",
      "values": [
        "string"
      ]
    }
  ],
  "preferenceLocationType": "SPOT",
  "nullFields": [
    "string"
  ]
}

Request Parameters

NameLocationTypeRequiredDescription
receiptIdpathstringYesReceipt ID
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone
Item-Bam-ClientheaderstringNonone
x-facility-idheaderstringNonone
bodybodyobjectNonone
» receiptStatusbodystringNoReceipt status
» receiptTypebodystringNoReceipt type. Allowed values: REGULAR_RECEIPT, MATERIAL_RECEIVE, RETURN
» poNobodystringNoPurchase order number
» carrierIdbodystringNoCarrier ID
» externalCarrierIdbodystringNoExternal carrier identifier from external systems
» customerIdbodystringNoCustomer ID
» referenceNobodystringNoReference number
» equipmentTypebodystringNoEquipment type. Allowed values: VEHICLE, TRAILER, CHASSIS, CONTAINER, FLATBED, OTHER
» equipmentNobodystringNoEquipment number
» totalPalletQtybodyintegerNoTotal pallet quantity
» itemLinesbody[ItemInfo]NoItem information list
»» itemIdbodystringNoItem identifier
»» itemNamebodystringNoItem name
»» itemQtybodystringNoItem quantity
»» palletQtybodystringNoItem pallet Qty
»» itemSpecDescbodystringNoItem spec desc
»» itemSpecNamebodystringNoItem spec name
»» uomIdbodystringNoitem uomId
»» qtybodystringNoqty
» appointmentTimebodystringNoAppointment time
» appointmentIdbodystringNoAppointment ID
» sealNobodystringNoSeal number
» dataChannelbodystringNoData source channel
» eventTimebodystringNoEvent time for idempotency control
» extraDatabodystringNoExtra data in JSON format
» carrierNamebodystringNoCarrier name
» customerNamebodystringNoCustomer name
» dynamicFieldValuesbody[object]NoDynamic field values
»» fieldCodebodystringYesField code
»» valuebodystringNonone
»» valuesbody[string]NoMulti-select value list, takes priority over value
» preferenceLocationTypebodystringNoPreference location type (SPOT / DOCK / null)
» nullFieldsbody[string]Nonone

Enum Values

PropertyValue
» receiptTypeREGULAR_RECEIPT
» receiptTypeMATERIAL_RECEIVE
» receiptTypeRETURN
» equipmentTypeVEHICLE
» equipmentTypeTRAILER
» equipmentTypeCHASSIS
» equipmentTypeCONTAINER
» equipmentTypeFLATBED
» equipmentTypeOTHER
» equipmentTypeNO_EQUIPMENT
» dataChannelYMS
» dataChannelWMS
» dataChannelOMS
» dataChannelTMS
» dataChannelFMS
» preferenceLocationTypeSPOT
» preferenceLocationTypeDOCK

Response Example

200 Response

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "id": 0,
    "receiptId": "",
    "receiptStatus": "",
    "receiptType": "",
    "poNo": "",
    "carrierId": "",
    "customerId": "",
    "referenceNo": "",
    "equipmentType": "",
    "equipmentNo": "",
    "totalPalletQty": 0,
    "itemLines": [
      {
        "itemId": "",
        "itemName": "",
        "itemQty": "",
        "palletQty": "",
        "itemSpecDesc": "",
        "itemSpecName": "",
        "uomId": "",
        "qty": ""
      }
    ],
    "appointmentTime": "",
    "appointmentId": "",
    "sealNo": "",
    "dataChannel": "",
    "eventTime": "",
    "extraData": "",
    "carrierName": "",
    "customerName": "",
    "dynamicFieldValues": [
      {
        "entityId": "",
        "entityType": "",
        "fieldCode": "",
        "value": "",
        "values": [
          ""
        ],
        "fieldName": "",
        "longValue": "",
        "shortValue": "",
        "valueType": "",
        "optionsType": "",
        "options": [
          ""
        ]
      }
    ],
    "proNos": [
      ""
    ],
    "invoicePros": [
      ""
    ],
    "doNos": [
      ""
    ],
    "tripNo": "",
    "entryId": "",
    "preferenceLocationType": ""
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRReceiptView